Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs.base
Class JRBaseCrosstabBucket

    java.lang.Object
      net.sf.jasperreports.crosstabs.base.JRBaseCrosstabBucket

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRCrosstabBucket, JRCloneable

Direct Known Subclasses:
  JRDesignCrosstabBucket

    public class JRBaseCrosstabBucket

extends java.lang.Object
implements JRCrosstabBucket, java.io.Serializable

Base read-only implementation of `JRCrosstabBucket`.

Version:
  $Id: JRBaseCrosstabBucket.java 3715 2010-04-08 18:08:49Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected JRExpression` | `comparatorExpression`
`protected JRExpression` | `expression`
`protected JRExpression` | `orderByExpression`
`protected SortOrderEnum` | `orderValue`

Constructor Summary
`protected` | `JRBaseCrosstabBucket()`
`` | `JRBaseCrosstabBucket(JRCrosstabBucket bucket, JRBaseObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`JRExpression` | `getComparatorExpression()` Returns the comparator expression.
`JRExpression` | `getExpression()` Returns the grouping expression.
`byte` | `getOrder()` Deprecated. Replaced by `getOrderValue()`.
`JRExpression` | `getOrderByExpression()` Returns an expression that provides order by values for group buckets.
`SortOrderEnum` | `getOrderValue()` Returns the bucket sorting type.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### orderValue

    protected SortOrderEnum orderValue

### expression

    protected JRExpression expression

### orderByExpression

    protected JRExpression orderByExpression

### comparatorExpression

    protected JRExpression comparatorExpression

Constructor Detail

### JRBaseCrosstabBucket

    protected JRBaseCrosstabBucket()

### JRBaseCrosstabBucket

    public JRBaseCrosstabBucket(JRCrosstabBucket bucket,
                                JRBaseObjectFactory factory)

Method Detail

### getOrder

    public byte getOrder()

  Deprecated. Replaced by `getOrderValue()`.

  Specified by:
    `getOrder` in interface `JRCrosstabBucket`

### getOrderValue

    public SortOrderEnum getOrderValue()

  Description copied from interface: `JRCrosstabBucket`
  Returns the bucket sorting type.

  The possible values are:

  - `SortOrderEnum.ASCENDING`
  - `SortOrderEnum.DESCENDING`

  Specified by:
    `getOrderValue` in interface `JRCrosstabBucket`
  Returns:
    the bucket sorting type

### getExpression

    public JRExpression getExpression()

  Description copied from interface: `JRCrosstabBucket`
  Returns the grouping expression.

  Specified by:
    `getExpression` in interface `JRCrosstabBucket`
  Returns:
    the grouping expression

### getOrderByExpression

    public JRExpression getOrderByExpression()

  Description copied from interface: `JRCrosstabBucket`
  Returns an expression that provides order by values for group buckets. If not set, the bucket values as returned by `JRCrosstabBucket.getExpression()` are used to order the buckets.

  The expression is evaluated in the context of the crosstab group and can reference measure variables, which evaluate to group totals.

  Specified by:
    `getOrderByExpression` in interface `JRCrosstabBucket`
  Returns:
    the order by value expression for the group bucket

### getComparatorExpression

    public JRExpression getComparatorExpression()

  Description copied from interface: `JRCrosstabBucket`
  Returns the comparator expression.

  The result of this expression is used to sort the buckets, in ascending or descending order (given by `getOrder()`. If the bucket has an order by expression, the comparator will be used to compare values as produced by that expression. If no comparator expression is specified, the natural order will be used.

  Specified by:
    `getComparatorExpression` in interface `JRCrosstabBucket`
  Returns:
    the comparator expression
  See Also:
    `JRCrosstabBucket.getOrderByExpression()`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com